#define BYTE        unsigned char

#define STRING      char

#define BOOLEAN     unsigned char

#define WORD        unsigned short

#define DWORD       unsigned long

#define TOKEN       WORD

#define SELECTOR    WORD





extern TOKEN pascal near RQCreateMailbox(WORD, WORD far *);
#define rqcreatemailbox RQCreateMailbox
extern void pascal near RQDeleteMailbox(TOKEN, WORD far *);
#define rqdeletemailbox RQDeleteMailbox
extern void pascal near RQSendMessage(TOKEN, TOKEN, TOKEN, WORD far *);
#define rqsendmessage RQSendMessage
extern void pascal near RQSendData(TOKEN, void far *, WORD, WORD far *);
#define rqsenddata RQSendData
extern TOKEN int pascal near RQReceiveMessage(TOKEN, WORD,
                                     TOKEN far *, WORD far *);
#define rqreceivemessage RQReceiveMessage
extern WORD int pascal near RQReceiveData(TOKEN, void far *,
                                     WORD, WORD far *);
#define rqreceivedata RQReceiveData
extern TOKEN pascal near RQCreateSemaphore(WORD, WORD,
                                  WORD, WORD far *);
#define rqcreatesemaphore RQCreateSemaphore
extern void pascal near RQDeleteSemaphore(TOKEN, WORD far *);
#define rqdeletesemaphore RQDeleteSemaphore
extern void pascal near RQSendUnits(TOKEN, WORD, WORD far *);
#define rqsendunits RQSendUnits
extern WORD int pascal near RQReceiveUnits(TOKEN, WORD, WORD, WORD far *);
#define rqreceiveunits RQReceiveUnits
extern TOKEN pascal near RQCreateRegion(WORD, WORD far *);
#define rqcreateregion RQCreateRegion
extern void pascal near RQDeleteRegion(TOKEN, WORD far *);
#define rqdeleteregion RQDeleteRegion
extern void pascal near RQSendControl(WORD far *);
#define rqsendcontrol RQSendControl
extern void pascal near RQReceiveControl(TOKEN, WORD far *);
#define rqreceivecontrol RQReceiveControl
extern void pascal near RQAcceptControl(TOKEN, WORD far *);
#define rqacceptcontrol RQAcceptControl
extern TOKEN pascal near RQCreateSegment(DWORD, WORD far *);
#define rqcreatesegment RQCreateSegment
extern void pascal near RQDeleteSegment(TOKEN, WORD far *);
#define rqdeletesegment RQDeleteSegment
extern DWORD pascal near RQGetSize(TOKEN, WORD far *);
#define rqgetsize RQGetSize
extern DWORD pascal near RQGetAddress(void far *, WORD far *);
#define rqgetaddress RQGetAddress
extern TOKEN pascal near RQECreateDescriptor(DWORD, DWORD, WORD far *);
#define rqecreatedescriptor RQECreateDescriptor
extern void pascal near RQEDeleteDescriptor(TOKEN, WORD far *);
#define rqedeletedescriptor RQEDeleteDescriptor
extern void pascal near RQEChangeDescriptor(TOKEN, DWORD,
                                            DWORD, WORD far *);
#define rqechangedescriptor RQEChangeDescriptor
extern void pascal near RQCatalogObject(TOKEN, TOKEN, BYTE far *, WORD far *);
#define rqcatalogobject RQCatalogObject
extern void pascal near RQUncatalogObject(TOKEN, BYTE far *, WORD far *);
#define rquncatalogobject RQUncatalogObject
extern TOKEN pascal near RQLookupObject(TOKEN, BYTE far *, WORD, WORD far *);
#define rqlookupobject RQLookupObject
extern TOKEN pascal near RQGetTaskTokens(BYTE, WORD far *);
#define rqgettasktokens RQGetTaskTokens
extern WORD pascal near RQGetType(TOKEN, WORD far *);
#define rqgettype RQGetType
extern void pascal near RQSleep(WORD, WORD far *);
#define rqsleep RQSleep
